Package com.castlabs.android.drm

# Class CastlabsMediaDrm.CastlabsMediaDrmException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.castlabs.android.drm.CastlabsMediaDrm.CastlabsMediaDrmException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `CastlabsMediaDrm`

public static class CastlabsMediaDrm.CastlabsMediaDrmException extends Exception
Exception thrown when operations on the MediaDrm instance fail.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static @interface`
  `CastlabsMediaDrm.CastlabsMediaDrmException.Type`
  Defines the types of DRM exceptions that can occur.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `OPEN_SESSION_FAILED`
  Indicates that opening a DRM session failed.
  `final int`
  `type`
  The type of the exception, indicating the specific error that occurred.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CastlabsMediaDrmException(int type, Throwable cause)`
  Constructs a new CastlabsMediaDrmException with the specified type and cause.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### OPEN_SESSION_FAILED

    public static final int OPEN_SESSION_FAILED
    Indicates that opening a DRM session failed.
    See Also:
      - Constant Field Values

  - ### type

    public final int type
    The type of the exception, indicating the specific error that occurred.

- ## Constructor Details

  - ### CastlabsMediaDrmException

    public CastlabsMediaDrmException(int type, @Nullable Throwable cause)
    Constructs a new CastlabsMediaDrmException with the specified type and cause.
    Parameters:
      `type` - The type of the exception
      `cause` - The cause of the exception, or null if none